Public Member Functions | Private Attributes | List of all members
libpagemaker::TransformationMatrix Class Reference

`#include <geometry.h>`

## Public Member Functions
| TransformationMatrix (double bboxTopLeft, double topRight, double bottomLeft, double bottomRight)
template<typename Unit >
InchPoint | transform (const Point< Unit > &point) const

## Private Attributes
double | m_tl
double | m_tr
double | m_bl
double | m_br

## Constructor & Destructor Documentation

## ◆ TransformationMatrix()

libpagemaker::TransformationMatrix::TransformationMatrix | ( | double | bboxTopLeft,
|  | double | topRight,
|  | double | bottomLeft,
|  | double | bottomRight
| ) |  |
| inline

## Member Function Documentation

## ◆ transform()

template<typename Unit >

InchPoint libpagemaker::TransformationMatrix::transform | ( | const Point< Unit > & | point | ) | const
| inline

Referenced by libpagemaker::getBoundingBox().

## Member Data Documentation

## ◆ m_bl

double libpagemaker::TransformationMatrix::m_bl
| private

Referenced by transform().

## ◆ m_br

double libpagemaker::TransformationMatrix::m_br
| private

Referenced by transform().

## ◆ m_tl

double libpagemaker::TransformationMatrix::m_tl
| private

Referenced by transform().

## ◆ m_tr

double libpagemaker::TransformationMatrix::m_tr
| private

Referenced by transform().

The documentation for this class was generated from the following file:

- geometry.h